Bug 9432 - acqui/addorderiso2409.pl is not Plack-friendly
Summary: acqui/addorderiso2409.pl is not Plack-friendly
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jared Camins-Esakov
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-19 00:33 UTC by Jared Camins-Esakov
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9432: Plack changes for acqui/addorderiso2409.pl (1.97 KB, patch)
2013-01-19 01:36 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 9432: Plack changes for acqui/addorderiso2409.pl (1.55 KB, patch)
2013-02-05 21:39 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 9432: Plack changes for acqui/addorderiso2409.pl (1.61 KB, patch)
2013-02-06 14:19 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2013-01-19 00:33:40 UTC
I get the following error:
Can't call method "param" on an undefined value at /home/jcamins/kohaclone/acqui/addorderiso2709.pl line 445.
 at /home/jcamins/kohaclone/acqui/addorderiso2709.pl line 450
Comment 1 Jared Camins-Esakov 2013-01-19 01:36:36 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2013-02-05 21:39:32 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-02-06 14:18:53 UTC
Simple patch, works with Plack and Apache.

Marked as Passed QA.
Comment 4 Jonathan Druart 2013-02-06 14:19:07 UTC
Created attachment 15100 [details] [review]
Bug 9432: Plack changes for acqui/addorderiso2409.pl

Without this patch, after selecting the file I want to add acquisitions
from, Plack explodes. With this patch, it works.

To test without Plack:
1) Apply patch.
2) Try adding an order item from a staged file.
3) If it works, there are no regressions from the patch.

To test with Plack:
1) Try adding an order item from a staged file. It will fail.
2) Apply patch.
3) Try adding an order item from a staged file.
3) If it works, the patch is successful.

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Fixes Plack, does not break Apache. Works as expected.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jared Camins-Esakov 2013-02-06 17:33:11 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2013-02-08 23:22:30 UTC
Pushed to 3.10.x will be in 3.10.3